<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Document</title>
    <script type="text/javascript">
    function mySum() {
        var result = 0,
            l = arguments.length;
        if (l > 10) throw new Error('Demasiados argumentos');
        for (var x = 0; x < l; x++) {
            result += arguments[x];
        }
        return result;
    }

    try{
        console.log(mySum(3, 4, 34, 5, 7, 8, 1, 32)); // 94
    }catch(errores){
        console.log(errores);
    }
    

    try{
        console.log(mySum(3, 4, 34, 5, 7, 8, 1, 32, 3, 5, 8)); // se produce el error
    }catch(errores){
        console.log(errores);
    }

    console.log("esto si se ve"); 



    </script>
</head>

<body>
</body>

</html>